Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OsStackTraceGetterInterface Class Referenceabstract

`#include <gtest-internal-inl.h>`

Inheritance diagram for OsStackTraceGetterInterface:

## Public Member Functions
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)=0
virtual void | UponLeavingGTest ()=0
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)=0
virtual void | UponLeavingGTest ()=0
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)=0
virtual void | UponLeavingGTest ()=0

## Constructor & Destructor Documentation

OsStackTraceGetterInterface | ( |  | ) |
| inline

virtual ~OsStackTraceGetterInterface | ( |  | ) |
| inline virtual

OsStackTraceGetterInterface | ( |  | ) |
| inline

virtual ~OsStackTraceGetterInterface | ( |  | ) |
| inline virtual

OsStackTraceGetterInterface | ( |  | ) |
| inline

virtual ~OsStackTraceGetterInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

virtual String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

virtual String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

virtual void UponLeavingGTest | ( |  | ) |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

virtual void UponLeavingGTest | ( |  | ) |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

virtual void UponLeavingGTest | ( |  | ) |
| pure virtual

Implemented in OsStackTraceGetter, OsStackTraceGetter, and OsStackTraceGetter.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest-internal-inl.h
- testing/googleTest/fused-src/gtest/gtest-all.cc